## qmlkonsole 23.01.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Jonah Brüchert <jbb@kaidan.im>
# SPDX-License-Identifier: GPL-2.0-or-later

cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION "23.01")
project(qmlkonsole VERSION ${PROJECT_VERSION})

set(KF5_MIN_VERSION "5.101.0")
set(QT_MIN_VERSION "5.5.0")

################# Disallow in-source build #################

if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message(FATAL_ERROR "This application requires an out of source build. Please create a separate build directory.")
endif()

include(FeatureSummary)

################# set KDE specific information #################

find_package(ECM 0.0.8 REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMPoQmTools)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQMLModules)

# setup version
ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX QMLKONSOLE
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)
################# Find dependencies #################

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS 
    Core 
    Quick 
    Test 
    Gui 
    Svg 
    QuickControls2
)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS 
    Kirigami2 
    I18n 
    Config 
    CoreAddons 
    WindowSystem
)
find_package(KF5KirigamiAddons 0.6 REQUIRED)

ecm_find_qmlmodule(QMLTermWidget 1.0)
set_package_properties(QMLTermWidget-QMLModule PROPERTIES
    URL "https://github.com/Swordfish90/qmltermwidget")

################# Enable C++11 features for clang and gcc #################

if(UNIX)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -std=c++0x")
endif()

################# build and install #################
add_subdirectory(src)

ki18n_install(po)

install(PROGRAMS org.kde.qmlkonsole.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.qmlkonsole.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.qmlkonsole.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Jonah Brüchert <jbb@kaidan.im>
# SPDX-License-Identifier: GPL-2.0-or-later

set(qmlkonsole_SRCS
    main.cpp
    abouttype.cpp
    savedcommandsmodel.cpp
    terminaltabmodel.cpp
    util.cpp
    fontlistmodel.cpp
    shellcommand.cpp
)

qt5_add_resources(RESOURCES resources.qrc)
add_executable(qmlkonsole ${qmlkonsole_SRCS} ${RESOURCES})

kconfig_add_kcfg_files(qmlkonsole GENERATE_MOC terminalsettings.kcfgc)
target_include_directories(qmlkonsole PRIVATE ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR})

target_link_libraries(qmlkonsole 
    Qt5::Core 
    Qt5::Qml 
    Qt5::Quick 
    Qt5::Svg 
    KF5::I18n 
    KF5::ConfigGui 
    KF5::CoreAddons 
    KF5::WindowSystem
)
install(TARGETS qmlkonsole ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES terminalsettings.kcfg DESTINATION ${KCFG_INSTALL_DIR})

## qmlkonsole 22.11

=== debian/changelog ===
qmlkonsole (22.11-1) unstable; urgency=medium

  [ Marco Mattiolo ]
  * Initial release. Closes: #1023257

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 04 Jan 2023 21:34:52 +0100

=== debian/control ===
Source: qmlkonsole
Section: kde
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 0.0.8~),
               kirigami-addons-dev (>= 0.6.1~),
               kirigami2-dev (>= 5.18.0~),
               libkf5config-dev (>= 5.18.0~),
               libkf5coreaddons-dev (>= 5.18.0~),
               libkf5i18n-dev (>= 5.18.0~),
               libkf5windowsystem-dev (>= 5.18.0~),
               libqt5svg5-dev (>= 5.5.0~),
               pkg-kde-tools,
               qml-module-termwidget (>= 0.1.0~),
               qtbase5-dev (>= 5.5.0~),
               qtdeclarative5-dev (>= 5.5.0~),
               qtquickcontrols2-5-dev (>= 5.5.0~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma-mobile/qmlkonsole
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/qmlkonsole
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/qmlkonsole.git
Rules-Requires-Root: no

Package: qmlkonsole
Architecture: any
Multi-Arch: foreign
Depends: qml-module-org-kde-kirigami-addons-labs-mobileform (>= 0.1~),
         qml-module-org-kde-kirigami2 (>= 5.18.0~),
         qml-module-qtquick-controls (>= 5.5.0~),
         qml-module-termwidget (>= 0.1.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Terminal app for Plasma Mobile
 This terminal application is optimized for touch devices and to integrate
 nicely in Plasma Mobile systems.
 .
 It is based on Qmltermwidget (QML port of
 qtermwidget) and Kirigami (framework to design convergent apps with a user
 interface that adapts to desktops, phones, big screens and potentially
 everything else).
 .
 It depends on Qt graphical libraries and a few KDE Frameworks.

## qmlkonsole 23.01.0

=== debian/changelog ===
qmlkonsole (23.01.0-1) unstable; urgency=medium

  [ Marco Mattiolo ]
  * New upstream release
  * Drop unneeded patch 001-keywords-in-desktop-file.patch
  * Refresh Build-Deps after upstream CMakeLists.txt

 -- Arnaud Ferraris <aferraris@debian.org>  Sat, 11 Feb 2023 23:58:43 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
            Arnaud Ferraris <aferraris@debian.org>,
-Build-Depends: cmake (>= 2.8.12~),
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 0.0.8~),
                kirigami-addons-dev (>= 0.6.1~),
-               kirigami2-dev (>= 5.18.0~),
-               libkf5config-dev (>= 5.18.0~),
-               libkf5coreaddons-dev (>= 5.18.0~),
-               libkf5i18n-dev (>= 5.18.0~),
-               libkf5windowsystem-dev (>= 5.18.0~),
+               kirigami2-dev (>= 5.101.0~),
+               libkf5config-dev (>= 5.101.0~),
+               libkf5coreaddons-dev (>= 5.101.0~),
+               libkf5i18n-dev (>= 5.101.0~),
+               libkf5windowsystem-dev (>= 5.101.0~),
                libqt5svg5-dev (>= 5.5.0~),
                pkg-kde-tools,
                qml-module-termwidget (>= 0.1.0~),
@@ -29,7 +29,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: qml-module-org-kde-kirigami-addons-labs-mobileform (>= 0.1~),
-         qml-module-org-kde-kirigami2 (>= 5.18.0~),
+         qml-module-org-kde-kirigami2 (>= 5.101.0~),
          qml-module-qtquick-controls (>= 5.5.0~),
          qml-module-termwidget (>= 0.1.0~),
          ${misc:Depends},

## qmlkonsole 23.08.1

=== debian/changelog ===
qmlkonsole (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:08:00 +0100

qmlkonsole (23.08.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (23.08.0)

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key, copied from k3b

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:02:54 +0100

qmlkonsole (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:42:19 +0100

qmlkonsole (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:59:00 +0100

qmlkonsole (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:03:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qmlkonsole
 Section: kde
 Priority: optional
-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
            Arnaud Ferraris <aferraris@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -21,8 +22,8 @@
                qtquickcontrols2-5-dev (>= 5.5.0~),
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma-mobile/qmlkonsole
-Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/qmlkonsole
-Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/qmlkonsole.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qmlkonsole
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qmlkonsole
 Rules-Requires-Root: no
 
 Package: qmlkonsole

## qmlkonsole 23.08.3

=== debian/changelog ===
qmlkonsole (23.08.3-1) unstable; urgency=medium

  * New upstream release

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sat, 25 Nov 2023 17:43:55 +0100

qmlkonsole (23.08.2-1) unstable; urgency=medium

  * New upstream release

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sat, 14 Oct 2023 18:09:10 +0200

qmlkonsole (23.08.1-1) unstable; urgency=medium

  * New upstream release
  * Update remote tarball location in d/watch
  * Use same d/upstream/signing-key.asc as other Plasma mobile packages
  * Update d/control and d/copyright after upstream changes

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sun, 17 Sep 2023 21:08:44 +0200

=== debian/control ===
Source: qmlkonsole
Section: kde
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.101.0~),
               kirigami-addons-dev (>= 0.6.1~),
               kirigami2-dev (>= 5.101.0~),
               libkf5config-dev (>= 5.101.0~),
               libkf5coreaddons-dev (>= 5.101.0~),
               libkf5i18n-dev (>= 5.101.0~),
               libkf5windowsystem-dev (>= 5.101.0~),
               libqt5svg5-dev (>= 5.15.2~),
               pkg-kde-tools,
               qml-module-termwidget (>= 0.1.0~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma-mobile/qmlkonsole
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/qmlkonsole
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/qmlkonsole.git
Rules-Requires-Root: no

Package: qmlkonsole
Architecture: any
Multi-Arch: foreign
Depends: qml-module-org-kde-kirigami-addons-labs-mobileform (>= 0.1~),
         qml-module-org-kde-kirigami2 (>= 5.101.0~),
         qml-module-qtquick-controls (>= 5.15.2~),
         qml-module-termwidget (>= 0.1.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Terminal app for Plasma Mobile
 This terminal application is optimized for touch devices and to integrate
 nicely in Plasma Mobile systems.
 .
 It is based on Qmltermwidget (QML port of
 qtermwidget) and Kirigami (framework to design convergent apps with a user
 interface that adapts to desktops, phones, big screens and potentially
 everything else).
 .
 It depends on Qt graphical libraries and a few KDE Frameworks.

## qmlkonsole 23.08.4

=== debian/changelog ===
qmlkonsole (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:24:12 +0000

qmlkonsole (23.08.3-1ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Sun, 03 Dec 2023 06:22:00 +0000

qmlkonsole (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:44:40 +0000

qmlkonsole (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:40:59 +0100

## qmlkonsole 23.08.5

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-License-Identifier: GPL-2.0-or-later

cmake_minimum_required(VERSION 3.16)

set(RELEASE_SERVICE_VERSION_MAJOR "23")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "5")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(qmlkonsole VERSION ${RELEASE_SERVICE_VERSION})

set(KF5_MIN_VERSION "5.101.0")
set(QT_MIN_VERSION "5.15.2")
set(KDE_COMPILERSETTINGS_LEVEL "5.84.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMPoQmTools)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMFindQmlModule)

ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX QMLKONSOLE
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
    Core 
    Quick 
    Test 
    Gui 
    Svg 
    QuickControls2
    Widgets
)
find_package(KF${QT_MAJOR_VERSION} ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Kirigami2 
    I18n 
    Config 
    CoreAddons 
    WindowSystem
)
find_package(KF${QT_MAJOR_VERSION}KirigamiAddons 0.6 REQUIRED)

ecm_find_qmlmodule(QMLTermWidget 1.0)
set_package_properties(QMLTermWidget-QMLModule PROPERTIES
    URL "https://github.com/Swordfish90/qmltermwidget")

add_subdirectory(src)

ki18n_install(po)

install(PROGRAMS org.kde.qmlkonsole.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.qmlkonsole.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.qmlkonsole.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Jonah Brüchert <jbb@kaidan.im>
# SPDX-License-Identifier: GPL-2.0-or-later

set(qmlkonsole_SRCS
    main.cpp
    savedcommandsmodel.cpp
    terminaltabmodel.cpp
    util.cpp
    fontlistmodel.cpp
    shellcommand.cpp
    resources.qrc
)

add_executable(qmlkonsole ${qmlkonsole_SRCS})

kconfig_add_kcfg_files(qmlkonsole GENERATE_MOC terminalsettings.kcfgc)
target_include_directories(qmlkonsole PRIVATE ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR})

target_link_libraries(qmlkonsole 
    Qt::Core
    Qt::Qml
    Qt::Quick
    Qt::Svg
    Qt::Widgets
    KF${QT_MAJOR_VERSION}::I18n
    KF${QT_MAJOR_VERSION}::ConfigGui
    KF${QT_MAJOR_VERSION}::CoreAddons
    KF${QT_MAJOR_VERSION}::WindowSystem
)
install(TARGETS qmlkonsole ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES terminalsettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

=== debian/changelog ===
qmlkonsole (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:25:05 +1100

qmlkonsole (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:41:22 +0000

qmlkonsole (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:32:06 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qmlkonsole
 Section: kde
 Priority: optional
-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
            Arnaud Ferraris <aferraris@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -21,8 +22,8 @@
                qtquickcontrols2-5-dev (>= 5.15.2~),
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma-mobile/qmlkonsole
-Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/qmlkonsole
-Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/qmlkonsole.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qmlkonsole
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qmlkonsole
 Rules-Requires-Root: no
 
 Package: qmlkonsole

## qmlkonsole 24.12.1

=== debian/changelog ===
qmlkonsole (24.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Refresh upstream metadata.

  [ Marco Mattiolo ]
  * New upstream release (24.12.1).
  * Update build-deps and deps with the info from cmake.
  * Change maintainer to the Qt/KDE Team.
  * Update Vcs-* URLs to the new location in the Qt/KDE team’s GitLab
    group.
  * Drop gbp.conf.
  * Simplify packaging by using dh-* build-deps

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sat, 11 Jan 2025 10:48:46 +0100

qmlkonsole (24.08.3-1) unstable; urgency=medium

  * New upstream release
  * Update d/rules for building on KF6 instead of KF5
  * Update d/control after upstream changes (Closes: #1079480)
  * Update d/copyright after upstream changes
  * Standards-version 4.7.0 (no changes needed)

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Tue, 26 Nov 2024 22:19:53 +0100

=== debian/control ===
Source: qmlkonsole
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               dh-sequence-sodeps,
               extra-cmake-modules (>= 5.240.0~),
               kirigami-addons-dev (>= 1.0.0~),
               libkf6config-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6pty-dev (>= 5.240.0~),
               libkf6windowsystem-dev (>= 5.240.0~),
               libkirigami-dev (>= 5.240.0~),
               pkg-kde-tools,
               pkgconf,
               qt6-5compat-dev (>= 6.5.2~),
               qt6-base-dev (>= 6.5.2~),
               qt6-declarative-dev (>= 6.5.2~),
               qt6-svg-dev (>= 6.5.2~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma-mobile/qmlkonsole
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qmlkonsole
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/qmlkonsole.git
Rules-Requires-Root: no

Package: qmlkonsole
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${qml6:Depends},
Description: Terminal app for Plasma Mobile
 This terminal application is optimized for touch devices and to integrate
 nicely in Plasma Mobile systems.
 .
 It is based on Qmltermwidget (QML port of
 qtermwidget) and Kirigami (framework to design convergent apps with a user
 interface that adapts to desktops, phones, big screens and potentially
 everything else).
 .
 It depends on Qt graphical libraries and a few KDE Frameworks.

## qmlkonsole 24.12.2

=== debian/changelog ===
qmlkonsole (24.12.2-1) unstable; urgency=medium

  * New upstream release
  * Patch from Sune Vuorela to add no-op -T to the command line options
  * Provides x-terminal-emulator (Closes: #1098472)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 22 Feb 2025 09:26:14 +0100

=== debian/control ===
--- 
+++ 
@@ -36,6 +36,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${qml6:Depends},
+Provides: x-terminal-emulator
 Description: Terminal app for Plasma Mobile
  This terminal application is optimized for touch devices and to integrate
  nicely in Plasma Mobile systems.

## qmlkonsole 24.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-License-Identifier: GPL-2.0-or-later

cmake_minimum_required(VERSION 3.16)

set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(qmlkonsole VERSION ${RELEASE_SERVICE_VERSION})

set(KF6_MIN_VERSION "5.240.0")
set(QT_MIN_VERSION "6.5.2")
set(KDE_COMPILERSETTINGS_LEVEL "5.84.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMPoQmTools)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(ECMFindQmlModule)
include(KDEGitCommitHooks)

ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX QMLKONSOLE
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
    Core
    Quick
    Test
    Gui
    Svg
    QuickControls2
    Widgets
    Core5Compat
)
find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    Kirigami
    I18n
    Config
    CoreAddons
    WindowSystem
    Pty
)
find_package(KF6KirigamiAddons 0.6 REQUIRED)

add_subdirectory(lib)
add_subdirectory(src)

ki18n_install(po)

install(PROGRAMS org.kde.qmlkonsole.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.qmlkonsole.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.qmlkonsole.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h lib/*.cpp lib/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
qmlkonsole (24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Add .gitattributes for changelog merge driver.
    - Add .gitignore

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 12:33:12 +0000

qmlkonsole (24.12.3-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Mar 2025 16:09:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qmlkonsole
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
            Arnaud Ferraris <aferraris@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -26,8 +27,8 @@
                qt6-svg-dev (>= 6.5.2~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma-mobile/qmlkonsole
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qmlkonsole
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/qmlkonsole.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qmlkonsole
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qmlkonsole
 Rules-Requires-Root: no
 
 Package: qmlkonsole

## qmlkonsole 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,9 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(qmlkonsole VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
qmlkonsole (25.04.0-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.
  * Drop patch applied upstream.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:19:32 +0200

=== debian/control ===
Source: qmlkonsole
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               dh-sequence-sodeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 5.240.0~),
               kirigami-addons-dev (>= 1.0.0~),
               libkf6config-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6pty-dev (>= 5.240.0~),
               libkf6windowsystem-dev (>= 5.240.0~),
               libkirigami-dev (>= 5.240.0~),
               pkg-kde-tools,
               pkgconf,
               qt6-5compat-dev (>= 6.5.2~),
               qt6-base-dev (>= 6.5.2~),
               qt6-declarative-dev (>= 6.5.2~),
               qt6-svg-dev (>= 6.5.2~),
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/qmlkonsole/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qmlkonsole
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/qmlkonsole.git
Rules-Requires-Root: no

Package: qmlkonsole
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Provides: x-terminal-emulator,
Description: Terminal app for Plasma Mobile
 This terminal application is optimized for touch devices and to integrate
 nicely in Plasma Mobile systems.
 .
 It is based on Qmltermwidget (QML port of
 qtermwidget) and Kirigami (framework to design convergent apps with a user
 interface that adapts to desktops, phones, big screens and potentially
 everything else).
 .
 It depends on Qt graphical libraries and a few KDE Frameworks.

## qmlkonsole 25.04.3

=== debian/changelog ===
qmlkonsole (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:58:13 +0100

qmlkonsole (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 12:04:06 +0100

qmlkonsole (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:20:01 +0100

qmlkonsole (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Drop included title.patch

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:06:20 +0100

## qmlkonsole 25.07.80

=== debian/changelog ===
qmlkonsole (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:28:28 +0100

## qmlkonsole 25.07.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MINOR "07")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(qmlkonsole VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
qmlkonsole (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:03:42 +0100

## qmlkonsole 25.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "07")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(qmlkonsole VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
qmlkonsole (25.08.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep extra signatures in upstream signing key.
    - Add .gitattributes for changelog merge driver.
    - Add .gitignore

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Aug 2025 07:28:57 +0100

qmlkonsole (25.08.0-1) unstable; urgency=medium

  [ Marco Mattiolo ]
  * New upstream release (25.08.0).
  * Update build-deps and deps with the info from cmake.
  * Add/update Albert Astals Cid’s master key’s key in upstream keyring.
  * d/copyright: refer to GNU website rather than FSF address for licenses.

  [ Aurélien COUDERC ]
  * Drop extra signatures on upstream signing keys.

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Fri, 15 Aug 2025 11:03:22 +0200

qmlkonsole (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:35:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qmlkonsole
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
            Arnaud Ferraris <aferraris@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -26,14 +27,16 @@
                qt6-svg-dev (>= 6.5.2~),
 Standards-Version: 4.7.2
 Homepage: https://apps.kde.org/qmlkonsole/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qmlkonsole
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/qmlkonsole.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qmlkonsole
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qmlkonsole
 Rules-Requires-Root: no
 
 Package: qmlkonsole
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Provides: x-terminal-emulator,
 Description: Terminal app for Plasma Mobile
  This terminal application is optimized for touch devices and to integrate

## qmlkonsole 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(qmlkonsole VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
qmlkonsole (25.08.1-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 06:43:09 +0000

qmlkonsole (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:30:07 +0000

qmlkonsole (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:58:46 +0000

qmlkonsole (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 13:11:35 +0000

qmlkonsole (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:25:32 +0000

qmlkonsole (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:00:44 +0000

qmlkonsole (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:19:42 +0000

qmlkonsole (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:52:46 +0000

qmlkonsole (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:14:12 +0000

qmlkonsole (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:11:44 +0000

qmlkonsole (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:01:32 +0000

qmlkonsole (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:25:32 +0000

qmlkonsole (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:49:37 +0000

qmlkonsole (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:21:16 +0000

qmlkonsole (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:16:41 +0000

qmlkonsole (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:58:43 +0000

qmlkonsole (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:14:23 +0000

qmlkonsole (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:59:16 +0000

qmlkonsole (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:48:09 +0000

qmlkonsole (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:25:29 +0000

qmlkonsole (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 17:51:21 +0000

qmlkonsole (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 18:03:31 +0000

qmlkonsole (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:51:14 +0000

qmlkonsole (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:35:09 +0000

qmlkonsole (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 23:13:09 +0000

qmlkonsole (22.11-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 30 Nov 2022 22:46:21 +0000

qmlkonsole (22.09-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Oct 2022 22:46:20 +0000

qmlkonsole (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Apr 2022 17:03:17 +0000

qmlkonsole (22.04-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 23 Apr 2022 22:46:10 +0000

qmlkonsole (22.02-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 08 Feb 2022 22:46:05 +0000

qmlkonsole (21.12-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 22:46:07 +0000

qmlkonsole (21.08-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 31 Aug 2021 22:46:04 +0000

qmlkonsole (21.07-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jul 2021 16:32:53 +0000

qmlkonsole (21.06-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Jun 2021 09:56:05 +0000

qmlkonsole (21.05-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Sep 2020 11:28:22 +0000

## qmlkonsole 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(qmlkonsole VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
qmlkonsole (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:59:19 +0100

qmlkonsole (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:59:40 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
            Arnaud Ferraris <aferraris@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                dh-sequence-sodeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.240.0~),
                kirigami-addons-dev (>= 1.0.0~),
                libkf6config-dev (>= 5.240.0~),

## qmlkonsole 25.08.2+p24.04+vstable+git20251011.0944

=== debian/changelog ===
qmlkonsole (25.08.2+p24.04+vstable+git20251011.0944-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 09:44:49 +0000

qmlkonsole (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:07:08 +0000

## qmlkonsole 25.08.2+p24.04+vstable+git20251015.1030

=== debian/changelog ===
qmlkonsole (25.08.2+p24.04+vstable+git20251015.1030-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 10:30:23 +0000

## qmlkonsole 25.08.2+p24.04+vstable+git20251024.0222

=== debian/changelog ===
qmlkonsole (25.08.2+p24.04+vstable+git20251024.0222-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 02:22:36 +0000

## qmlkonsole 25.08.2+p24.04+vstable+git20251028.1015

=== debian/changelog ===
qmlkonsole (25.08.2+p24.04+vstable+git20251028.1015-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:15:54 +0000

## qmlkonsole 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(qmlkonsole VERSION ${RELEASE_SERVICE_VERSION})

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Jonah Brüchert <jbb@kaidan.im>
# SPDX-License-Identifier: GPL-2.0-or-later

set(qmlkonsole_SRCS
    main.cpp
    savedcommandsmodel.cpp
    savedcommandsmodel.h
    terminaltabmodel.cpp
    terminaltabmodel.h
    util.cpp
    util.h
    fontlistmodel.cpp
    fontlistmodel.h
    shellcommand.cpp
    shellcommand.h
    resources.qrc
)

add_executable(qmlkonsole ${qmlkonsole_SRCS})

kconfig_add_kcfg_files(qmlkonsole GENERATE_MOC terminalsettings.kcfgc)
target_include_directories(qmlkonsole PRIVATE ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR})

target_link_libraries(qmlkonsole
    Qt::Core
    Qt::Qml
    Qt::Quick
    Qt::Svg
    Qt::Widgets
    KF6::I18n
    KF6::ConfigGui
    KF6::CoreAddons
    KF6::WindowSystem
    KonsoleQML
)
install(TARGETS qmlkonsole ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES terminalsettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

=== debian/changelog ===
qmlkonsole (25.08.3-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 15:52:46 +0000

qmlkonsole (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:34:11 +1000

## qmlkonsole 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(qmlkonsole VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
qmlkonsole (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:58:00 +0000

qmlkonsole (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:20:39 +0000

## qmlkonsole 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(qmlkonsole VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
qmlkonsole (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:18:47 +0000

## qmlkonsole 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(qmlkonsole VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
qmlkonsole (25.12.0-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 11:37:56 +0000

qmlkonsole (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:29:59 +1000

=== debian/control ===
Source: qmlkonsole
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kpty-dev,
               kf6-kwindowsystem-dev,
               pkg-kde-tools-neon,
               qt6-5compat-dev,
               qt6-declarative-dev,
               qt6-svg-dev
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/plasma-mobile/qmlkonsole.git
Vcs-Git: https://invent.kde.org/neon/mobile/qmlkonsole.git
Vcs-Browser: https://invent.kde.org/neon/mobile/qmlkonsole
Maintainer: Neon CI <neon@kde.org>

Package: qmlkonsole
Architecture: any
Depends: kf6-kirigami-addons,
         kf6-kirigami2,
         qt6-declarative,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: x-terminal-emulator
Description: X terminal emulator
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.

## qmlkonsole 25.12.0+p24.04+vstable+git20260101.0155

=== debian/changelog ===
qmlkonsole (25.12.0+p24.04+vstable+git20260101.0155-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 01:55:54 +0000

## qmlkonsole 25.12.0+p24.04+vstable+git20260105.1107

=== debian/changelog ===
qmlkonsole (25.12.0+p24.04+vstable+git20260105.1107-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 11:07:33 +0000

## qmlkonsole 25.12.0+p24.04+vunstable+git20251208.1159

=== debian/changelog ===
qmlkonsole (25.12.0+p24.04+vunstable+git20251208.1159-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 11:59:54 +0000
